package comdialog;

use strict;
use common;

use vars qw(@ISA @EXPORT);
        
@ISA = qw(Exporter);
@EXPORT = qw( request_URL entry_hidepass entry_sized network_enabled check_valid_email get_vars_from_hash privacy_text newWindow set_darea raiseError waitMsg removeWaitMsg);

sub request_URL {
    require LWP::UserAgent;         
    require Net::HTTP;              
    require HTTP::Message;          
    require HTTP::Request;
    my $ua = LWP::UserAgent->new;
    $ua->agent("MdkOnlineAgent/%s" . $ua->agent, '11.0');
    $ua->env_proxy;
    my $request = HTTP::Request->new( GET => @_);
    my $response = $ua->request($request);
    $response;
}
sub entry_hidepass {
    my $w;
    $w = entry_sized();
    $w->set_visibility(0);
    $w
}
sub entry_sized {     
    my $e;
    $e = Gtk2::Entry->new;
    $e->set_size_request(20, 25);
    $e
} 
sub network_enabled {
    my $is_network;
    $is_network = gethostbyname("mandrakeclub.com") ? 1 : 0;
    $is_network;
}
sub check_valid_email {
    my $email = shift;
    my $st = $email->get_text=~/^[a-z][a-z0-9_\-]+(\.[a-z][a-z0-9_]+)?@([a-z][a-z0-9_\-]+\.){1,3}(\w{2,4})(\.[a-z]{2})?$/ix ? 1 : 0;
    return $st
}
sub get_vars_from_hash {
    my ($file, $var) = @_;
    my %var_val = getVarsFromSh($file);
    $var_val{$var};
}
sub privacy_text {
    my $w;
    $w = N(" You are just starting our Free Mandrakelinux Download Edition for the first time. 

There are now over three million Mandrakelinux users all over the world!

Please take a few seconds to fill a short questionnaire. The data from this 
questionnaire will be used only for aggregate market studies.
The text below is the privacy policy of Mandrakesoft about your personal data.") .
"\n\n" . 
N("What personal data do we collect?

Various information is collected in different areas of the website;
what follows is an overview of the data we keep:

Firstly, we record your email address, name and postal address.
Secondly we give you a unique customer ID. This ID will be used to 
add additional information related to your Mandrake account such as:
    - Your subscription to mailing lists.
    - When registering a purchased product, we ask for personal
information as well as system/hardware details so that we may deliver
the best support services customized to your needs.
    - On our donation page and on our online store (Mandrakestore), we
record data for billing purpose (we do not store any credit card data).


What do we do with this information?

We never share personal information with other persons or companies -
we use this data strictly for the following purposes:
    - If you have subscribed to a mailing list, we keep this email
address in our database to provide you with customized information
and/or to enable you to participate in discussions in various mailing
lists. If you send a message to such a list, other people will see
your email address but no external parties have access to our database
of subscribers. At any time you may unsubscribe to any list by using
the appropriate form.
    - If you provide information when registering a purchased product
to receive support, we keep this information private unless the
information is required by one of our partners to deliver the support
you require.
    - If you use Mandrakestore, we also use your Customer ID to track
your order and deliver your products.
    - If you provide us with marketing information, we keep it for 
internal use only in order to improve our products so that they can 
better fit your needs whether you have purchased a product or not.


How to change / correct your personal data?

French law gives individuals the right to access, correct, modify or 
remove their own personal data that we have on record. We offer this 
as a worldwide privilege. You may exercise this right at any time by 
logging to your account with your customer ID and editing your
personal data. You can log on to this page: http://www.mandrakeonline.net");

    $w    
}
sub NewWindow {
    my ($mainw, $title) = @_;
    my $w = Gtk2::Window->new('toplevel');
    $w->set_transient_for($mainw);
    $w->set_title($title);
    $w->signal_connect(delete_event => sub { $w->destroy });
    $w->set_position('center_always');
    $w
}
sub set_darea {
    my ($label, $pix) = @_;
    my $darea = ugtk2::gtkset_size_request(Gtk2::DrawingArea->new, -1, 100);
    $darea->modify_font(Gtk2::Pango::FontDescription->from_string(N("Sans 14")));
    my $layout = $darea->create_pango_layout($label);
    my $pixbuf_banner = ugtk2::gtkcreate_pixbuf($pix);
    $darea->signal_connect(expose_event => sub {
                               ugtk2::fill_tiled($darea,$pixbuf_banner);
                               $darea->window->draw_layout($darea->style->fg_gc('normal'), (540-($layout->get_pixel_size)[0])/2, 35, $layout);
                               0;
                           });
    $darea;
}
sub raiseError {
    my ($mainw, $title, $label) = @_;
    $::error = 1;
    my $w = NewWindow($mainw, $title);
    ugtk2::gtkadd($w,
	   ugtk2::gtkpack_(Gtk2::VBox->new,
		    1, Gtk2::Label->new($label),
		    0, Gtk2::HSeparator->new,
		    0, ugtk2::gtksignal_connect(Gtk2::Button->new_from_stock('gtk-ok'), clicked => sub { $w->destroy })
		   ),
	  );
    $w->show_all
}
sub waitMsg {
    my ($msg, %options) = @_;
    my $mainw = ugtk2->new('...', grab => 1, if_(exists $options{transient}, transient => $options{transient}));
    $mainw->{rwindow}->set_position($options{transient} ? 'center_on_parent' : 'center_always') if !$::isEmbedded;
    my $label = ref($msg) =~ /^Gtk/ ? $msg : Gtk2::Label->new($msg);
    gtkadd($mainw->{window}, gtkpack__(gtkadd(Gtk2::VBox->new(0, 5), $label, if_(exists $options{widgets}, @{$options{widgets}}))));
    $label->signal_connect(expose_event => sub { $mainw->{displayed} = 1; 0 });
    $mainw->sync until $mainw->{displayed};
    gtkset_mousecursor_wait($mainw->{rwindow}->window);
    $mainw->flush;
    $mainw;
}
sub removeWaitMsg { $_[0]->destroy }

1;
