package data;

use strict;
use lib qw(/usr/lib/libDrakX);
use common;

use vars qw(@ISA @EXPORT %country);

@ISA = qw(Exporter);
@EXPORT = qw(%country getAllCountries getCountry);

my %country = (
	       N("Azores") => 'ac',
	       N("Afghanistan, Islamic State of") => 'af',
	       N("Albania") => 'al',
	       N("Algeria") => 'dz',
	       N("American Samoa") => 'as',
	       N("Andorra, Principality of") => 'ad',
	       N("Angola") => 'ao',
	       N("Anguilla") => 'ai',
	       N("Antarctica") => 'aq',
	       N("Antigua and Barbuda") => 'ag',
	       N("Argentina") => 'ar',
	       N("Armenia") => 'am',
	       N("Aruba") => 'aw',
	       N("Australia") => 'au',
	       N("Austria") => 'at',
	       N("Azerbaidjan") => 'az',
	       N("Bahamas") => 'bs',
	       N("Bahrain") => 'bh',
	       N("Bangladesh") => 'bd',
	       N("Barbados") => 'bb',
	       N("Belarus") => 'by',
	       N("Belgium") => 'be',
	       N("Belize") => 'bz',
	       N("Benin") => 'bj',
	       N("Bermuda") => 'bm',
	       N("Bhutan") => 'bt',
	       N("Bolivia") => 'bo',
	       N("Bonaire, Netherlands Antilles") => 'an',
	       N("Bosnia") => 'bx',
	       N("Bosnia-Herzegovina") => 'ba',
	       N("Botswana") => 'bw',
	       N("Bouvet Island") => 'bv',
	       N("Brazil") => 'br',
	       N("British Indian Ocean Territory") => 'io',
	       N("Brunei Darussalam") => 'bn',
	       N("Bulgaria") => 'bg',
	       N("Burkina Faso") => 'bf',
	       N("Burundi") => 'bi',
	       N("Cambodia, Kingdom of") => 'kh',
	       N("Cameroon") => 'cm',
	       N("Canada") => 'ca',
	       N("Canary Islands") => 'ic',
	       N("Cape Verde") => 'cv',
	       N("Caroline Islands") => 'pc',
	       N("Cayman Islands") => 'ky',
	       N("Central African Republic") => 'cf',
	       N("Chad") => 'td',
	       N("Chile") => 'cl',
	       N("China") => 'cn',
	       N("Christmas Island") => 'cx',
	       N("Cocos (Keeling) Islands") => 'cc',
	       N("Colombia") => 'co',
	       N("Comoros") => 'km',
	       N("Congo") => 'cg',
	       N("Congo, The Democratic Republic of the") => 'cd',
	       N("Cook Islands") => 'ck',
	       N("Costa Rica") => 'cr',
	       N("Croatia") => 'hr',
	       N("Cuba") => 'cu',
	       N("Cyprus") => 'cy',
	       N("Czech Republic") => 'cz',
	       N("Denmark") => 'dk',
	       N("Djibouti") => 'dj',
	       N("Dominica") => 'dm',
	       N("Dominican Republic") => 'do',
	       N("East Timor") => 'tp',
	       N("Ecuador") => 'ec',
	       N("Egypt") => 'eg',
	       N("El Salvador") => 'sv',
	       N("Equatorial Guinea") => 'gq',
	       N("Eritrea") => 'er',
	       N("Estonia") => 'ee',
	       N("Ethiopia") => 'et',
	       N("Falkland Islands") => 'fk',
	       N("Faroe Islands") => 'fo',
	       N("Fiji") => 'fj',
	       N("Finland") => 'fi',
	       N("France (European Territory)") => 'fx',
	       N("France") => 'fr',
	       N("French Guyana") => 'gf',
	       N("French Southern Territories") => 'tf',
	       N("Gabon") => 'ga',
	       N("Gambia") => 'gm',
	       N("Georgia") => 'ge',
	       N("Germany") => 'de',
	       N("Ghana") => 'gh',
	       N("Gibraltar") => 'gi',
	       N("Great Britain") => 'gb',
	       N("Greece") => 'gr',
	       N("Greenland") => 'gl',
	       N("Grenada") => 'gd',
	       N("Guadeloupe (French)") => 'gp',
	       N("Guam (USA)") => 'gu',
	       N("Guatemala") => 'gt',
	       N("Guernsey") => 'gs',
	       N("Guinea Bissau") => 'gw',
	       N("Guinea") => 'gn',
	       N("Guyana") => 'gy',
	       N("Haiti") => 'ht',
	       N("Heard and McDonald Islands") => 'hm',
	       N("Honduras") => 'hn',
	       N("Hong Kong") => 'hk',
	       N("Hungary") => 'hu',
	       N("Iceland") => 'is',
	       N("India") => 'in',
	       N("Indonesia") => 'id',
	       N("Iran") => 'ir',
	       N("Iraq") => 'iq',
	       N("Ireland") => 'ie',
	       N("Israel") => 'il',
	       N("Italy") => 'it',
	       N("Ivory Coast (Cote D'Ivoire)") => 'ci',
	       N("Jamaica") => 'jm',
	       N("Japan") => 'jp',
	       N("Jersey") => 'je',
	       N("Jordan") => 'jo',
	       N("Kazakhstan") => 'kz',
	       N("Kenya") => 'ke',
	       N("Kiribati Islands") => 'ki',
	       N("Kuwait") => 'kw',
	       N("Kyrgyz Republic (Kyrgyzstan)") => 'kg',
	       N("Laos") => 'la',
	       N("Latvia") => 'lv',
	       N("Lebanon") => 'lb',
	       N("Lesotho") => 'ls',
	       N("Liberia") => 'lr',
	       N("Libya") => 'ly',
	       N("Liechtenstein") => 'li',
	       N("Lithuania") => 'lt',
	       N("Luxembourg") => 'lu',
	       N("Macau") => 'mo',
	       N("Macedonia") => 'mk',
	       N("Madagascar") => 'mg',
	       N("Madeira") => 'me',
	       N("Malawi") => 'mw',
	       N("Malaysia") => 'my',
	       N("Maldives") => 'mv',
	       N("Mali") => 'ml',
	       N("Malta") => 'mt',
	       N("Marshall Islands") => 'mh',
	       N("Martinique (French)") => 'mq',
	       N("Mauritania") => 'mr',
	       N("Mauritius") => 'mu',
	       N("Mayotte") => 'yo',
	       N("Mayotte") => 'yt',
	       N("Mexico") => 'mx',
	       N("Micronesia") => 'fm',
	       N("Moldavia") => 'md',
	       N("Monaco") => 'mc',
	       N("Mongolia") => 'mn',
	       N("Montenegro") => 'mb',
	       N("Montserrat") => 'ms',
	       N("Morocco") => 'ma',
	       N("Mozambique") => 'mz',
	       N("Myanmar") => 'mm',
	       N("Namibia") => 'na',
	       N("Nauru") => 'nr',
	       N("Nepal") => 'np',
	       N("Netherlands") => 'nl',
	       N("Neutral Zone") => 'nt',
	       N("New Caledonia (French)") => 'nc',
	       N("New Zealand") => 'nz',
	       N("Nicaragua") => 'ni',
	       N("Nigeria") => 'ng',
	       N("Niger") => 'ne',
	       N("Niue") => 'nu',
	       N("Norfolk Island") => 'nf',
	       N("Northern Mariana Islands") => 'mp',
	       N("North Korea") => 'kp',
	       N("Norway") => 'no',
	       N("Oman") => 'om',
	       N("Pakistan") => 'pk',
	       N("Palau") => 'pw',
	       N("Palestine") => 'ps',
	       N("Panama") => 'pa',
	       N("Papua New Guinea") => 'pg',
	       N("Paraguay") => 'py',
	       N("Peru") => 'pe',
	       N("Philippines") => 'ph',
	       N("Pitcairn Island") => 'pn',
	       N("Poland") => 'pl',
	       N("Polynesia (French)") => 'pf',
	       N("Portugal") => 'pt',
	       N("Puerto Rico") => 'pr',
	       N("Qatar") => 'qa',
	       N("Reunion (French)") => 're',
	       N("Romania") => 'ro',
	       N("Russian Federation") => 'ru',
	       N("Rwanda") => 'rw',
	       N("Saint Helena") => 'sh',
	       N("Saint Kitts & Nevis Anguilla") => 'kn',
	       N("Saint Lucia") => 'lc',
	       N("Saint Pierre and Miquelon") => 'pm',
	       N("Saint Tome (Sao Tome) and Principe") => 'st',
	       N("Saint Vincent & Grenadines") => 'vc',
	       N("Samoa") => 'ws',
	       N("San Marino") => 'sm',
	       N("Saudi Arabia") => 'sa',
	       N("Senegal") => 'sn',
	       N("Serbia") => 'sx',
	       N("Seychelles") => 'sc',
	       N("S. Georgia & S. Sandwich Isls.") => 'gs',
	       N("Sierra Leone") => 'sl',
	       N("Singapore") => 'sg',
	       N("Slovak Republic") => 'sk',
	       N("Slovenia") => 'si',
	       N("Solomon Islands") => 'sb',
	       N("Somalia") => 'so',
	       N("South Africa") => 'za',
	       N("South Korea") => 'kr',
	       N("Spain") => 'es',
	       N("Sri Lanka") => 'lk',
	       N("Sudan") => 'sd',
	       N("Suriname") => 'sr',
	       N("Svalbard and Jan Mayen Islands") => 'sj',
	       N("Swaziland") => 'sz',
	       N("Sweden") => 'se',
	       N("Switzerland") => 'ch',
	       N("Syria") => 'sy',
	       N("Tadjikistan") => 'tj',
	       N("Taiwan") => 'tw',
	       N("Tanzania") => 'tz',
	       N("Thailand") => 'th',
	       N("Togo") => 'tg',
	       N("Tokelau") => 'tk',
	       N("Tonga") => 'to',
	       N("Trinidad and Tobago") => 'tt',
	       N("Tunisia") => 'tn',
	       N("Turkey") => 'tr',
	       N("Turkmenistan") => 'tm',
	       N("Turks and Caicos Islands") => 'tc',
	       N("Tuvalu") => 'tv',
	       N("Uganda") => 'ug',
	       N("Ukraine") => 'ua',
	       N("United Arab Emirates") => 'ae',
	       N("United Kingdom") => 'uk',
	       N("United States") => 'us',
	       N("Uruguay") => 'uy',
	       N("USA Minor Outlying Islands") => 'um',
	       N("Uzbekistan") => 'uz',
	       N("Vanuatu") => 'vu',
	       N("Vaticano (Vatican City State)") => 'va',
	       N("Venezuela") => 've',
	       N("Vietnam") => 'vn',
	       N("Virgin Islands (British)") => 'vg',
	       N("Virgin Islands (USA)") => 'vi',
	       N("Wallis and Futuna Islands") => 'wf',
	       N("Western Sahara") => 'eh',
	       N("Yemen") => 'ye',
	       N("Yugoslavia") => 'yu',
	       N("Zaire") => 'zr',
	       N("Zambia") => 'zm',
	       N("Zimbabwe") => 'zw'
	      );

my @list_states = (
	N("Non US/Canada"),
	N("Alabama"),
	N("Alaska"),
	N("Arizona"),
	N("Arkansas"),
	N("California"),
	N("Colorado"),
	N("Connecticut"),
	N("Delaware"),
	N("District of Columbia"),
	N("Florida"),
	N("Georgia (US State)"),
	N("Hawaii"),
	N("Idaho"),
	N("Illinois"),
	N("Indiana"),
	N("Iowa"),
	N("Kansas"),
	N("Kentucky"),
	N("Louisiana"),
	N("Maine"),
	N("Maryland"),
	N("Massachusetts"),
	N("Michigan"),
	N("Minnesota"),
	N("Mississippi"),
	N("Missouri"),
	N("Montana"),
	N("Nebraska"),
	N("Nevada"),
	N("New Hampshire"),
	N("New Jersey"),
	N("New Mexico"),
	N("New York"),
	N("North Carolina"),
	N("North Dakota"),
	N("Ohio"),
	N("Oklahoma"),
	N("Oregon"),
	N("Pennsylvania"),
	N("Rhode Island"),
	N("South Carolina"),
	N("South Dakota"),
	N("Tennessee"),
	N("Texas"),
	N("Utah"),
	N("Vermont"),
	N("Virginia"),
	N("Washington"),
	N("West Virginia"),
	N("Wisconsin"),
	N("Wyoming"),
	N("American Samoa"),
	N("Armed Forces(AA)"),
	N("Armed Forces(AE)"),
	N("Armed Forces(AP)"),
	N("Guam"),
	N("Marshall Islands"),
	N("Micronesia"),
	N("Northern Marianas"),
	N("Palau"),
	N("Puerto Rico"),
	N("Trust Territories"),
	N("Virgin Islands"),
	N("Alberta"),
	N("British Columbia"),
	N("Manitoba"),
	N("New Brunswick"),
	N("Newfoundland"),
	N("Northwest Territory"),
	N("Nova Scotia"),
	N("Ontario"),
	N("Prince Edward Island"),
	N("Quebec"),
	N("Saskatchewan"),
	N("Yukon Territory")
);

sub getAllCountries {
    (' ', keys %country);
}

sub getCountry {
    my $ct = shift;
    $country{$ct}
}

1
